package org.commonjava.tensor.web.base.dto;

import org.commonjava.maven.atlas.common.ref.ProjectVersionRef;
import org.commonjava.tensor.web.base.dto.io.GAVWithPresetSer;
import org.commonjava.web.json.ser.JsonAdapters;

@JsonAdapters( GAVWithPresetSer.class )
public class GAVWithPreset
{

    private final ProjectVersionRef gav;

    private final String preset;

    public GAVWithPreset( final ProjectVersionRef gav, final String preset )
    {
        this.gav = gav;
        this.preset = preset;
    }

    public ProjectVersionRef getGAV()
    {
        return gav;
    }

    public String getPreset()
    {
        return preset;
    }

}
